Get provisioning progress and cluster health
curl --request GET \
--url https://api.nugen.in/api/v3/byoc/clusters/{cluster_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nugen.in/api/v3/byoc/clusters/{cluster_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nugen.in/api/v3/byoc/clusters/{cluster_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cluster_id": "<string>",
"cluster_name": "<string>",
"mode": "<string>",
"status": "<string>",
"message": "<string>",
"created_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}BYOC
Get provisioning progress and cluster health
Provisioning progress and health for one environment.
Path Parameters:
cluster_id: The environment to check
Returns:
cluster_id,cluster_name,modestatus: Provisioning statusmessage: What the status meanscreated_at: When the request was received
Raises:
404: If the environment is not found or does not belong to you
GET
/
api
/
v3
/
byoc
/
clusters
/
{cluster_id}
/
status
Get provisioning progress and cluster health
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Current status of a bring your own cloud environment.
Provisioning progress and cluster health.
Identifier of this environment.
Name given to the environment.
managed_provisioning or cluster_import.
Provisioning status.
Human-readable status detail.
When the request was received.
Was this page helpful?